Overview | Package | Class | Tree | Deprecated | Index | Help
| ContactCenters V. 0.9.9.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## umontreal.iro.lecuyer.contactcenters.msk.conditions
Class FracBusyAgentsCondition

    java.lang.Object
      umontreal.iro.lecuyer.contactcenters.msk.conditions.TwoIndicesInfo
          umontreal.iro.lecuyer.contactcenters.msk.conditions.FracBusyAgentsCondition

All Implemented Interfaces:
  Condition

Direct Known Subclasses:
  FracBusyAgentsWithTypesCondition

    public class FracBusyAgentsCondition

extends TwoIndicesInfo
implements Condition

Represents a condition comparing the fraction of busy agents for two groups. Let i1 and i2 be indices of agent groups and ⋅ be a relationship. This condition applies if and only if ⋅.

Constructor Summary
`FracBusyAgentsCondition(CallCenter cc, int i1, int i2, Relationship rel)` Constructs a new condition on the fraction of busy agents for call center `cc`, agent groups with indices `i1` and `i2`, and relationship `rel`.

Method Summary
`boolean` | `applies(Contact contact)` Checks the represented condition for the given contact `contact`, and returns `true` if and only if the condition applies.
`CallCenter` | `getCallCenter()` Returns a reference to the call center associated with this condition.

Methods inherited from class umontreal.iro.lecuyer.contactcenters.msk.conditions.TwoIndicesInfo
`getFirstIndex, getRelationship, getSecondIndex`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### FracBusyAgentsCondition

    public FracBusyAgentsCondition(CallCenter cc,
                                   int i1,
                                   int i2,
                                   Relationship rel)

  Constructs a new condition on the fraction of busy agents for call center `cc`, agent groups with indices `i1` and `i2`, and relationship `rel`.

  Parameters:
    `cc` - the call center model.
    `i1` - the index of the first agent group.
    `i2` - the index of the second agent group.
    `rel` - the relationship used for comparison.

Method Detail

### getCallCenter

    public CallCenter getCallCenter()

  Returns a reference to the call center associated with this condition.

### applies

    public boolean applies(Contact contact)

  Description copied from interface: `Condition`
  Checks the represented condition for the given contact `contact`, and returns `true` if and only if the condition applies. Some conditions depend on the state of the system rather than a particular contact. In such cases, the contact object can be ignored.

  Specified by:
    `applies` in interface `Condition`
  Parameters:
    `contact` - the contact on which to check the condition.
  Returns:
    the success indicator of the test.

Overview | Package | Class | Tree | Deprecated | Index | Help
| ContactCenters V. 0.9.9.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

To submit a bug or ask questions, send an e-mail to Richard Simard.